
seed = {};

function seed.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function seed:load(xmlFile)

    self.seeds = {};
    self.seeds[1] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.seeds.seed1#index"));
    self.seeds[2] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.seeds.seed2#index"));
	
end;

function seed:keyEvent(unicode, sym, modifier, isDown)

    if isDown and sym == Input.KEY_n then 
		self.drawseed = not self.drawseed;
		setVisibility(self.seeds[1], self.drawseed);
    end;
  if isDown and sym == Input.KEY_m then 
		self.drawseed = not self.drawseed;
		setVisibility(self.seeds[2], self.drawseed);
    end;
end;


function seed:update(dt)
end;

function seed:draw()
	if self.planeActive then 
		g_currentMission:addExtraPrintText("Taste N: заправка сеялки");
	else
		g_currentMission:addExtraPrintText("Taste N: заправка сеялки");
	end;
	if self.planeActive then 
		g_currentMission:addExtraPrintText("Taste M: удобрение");
	else
		g_currentMission:addExtraPrintText("Taste M: удобрение");
	end;
end;

function seed:onEnter()

end;

function seed:onLeave()
end;

function seed:delete()
end;

function seed:mouseEvent(posX, posY, isDown, isUp, button)
end;